org.apache.poi.hemf.record.emf

## Enum HemfPalette.EmfSetIcmMode.ICMMode

- java.lang.Object
- - java.lang.Enum<HemfPalette.EmfSetIcmMode.ICMMode>
  - - org.apache.poi.hemf.record.emf.HemfPalette.EmfSetIcmMode.ICMMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPalette.EmfSetIcmMode.ICMMode>
  Enclosing class:
    HemfPalette.EmfSetIcmMode

      public static enum HemfPalette.EmfSetIcmMode.ICMMode
      extends java.lang.Enum<HemfPalette.EmfSetIcmMode.ICMMode>

  The ICMMode enumeration defines values that specify when to turn on and off ICM.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ICM_DONE_OUTSIDEDC` Turns off ICM in the playback device context, and turns off old-style color correction of halftones.
    `ICM_OFF` Turns off Image Color Management (ICM) in the playback device context.
    `ICM_ON` Turns on ICM in the playback device context.
    `ICM_QUERY` Queries the current state of color management in the playback device context.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPalette.EmfSetIcmMode.ICMMode` | `valueOf(int id)`
    `static HemfPalette.EmfSetIcmMode.ICMMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPalette.EmfSetIcmMode.ICMMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ICM_OFF

          public static final HemfPalette.EmfSetIcmMode.ICMMode ICM_OFF

      Turns off Image Color Management (ICM) in the playback device context. Turns on old-style color correction of halftones.

    - #### ICM_ON

          public static final HemfPalette.EmfSetIcmMode.ICMMode ICM_ON

      Turns on ICM in the playback device context. Turns off old-style color correction of halftones.

    - #### ICM_QUERY

          public static final HemfPalette.EmfSetIcmMode.ICMMode ICM_QUERY

      Queries the current state of color management in the playback device context.

    - #### ICM_DONE_OUTSIDEDC

          public static final HemfPalette.EmfSetIcmMode.ICMMode ICM_DONE_OUTSIDEDC

      Turns off ICM in the playback device context, and turns off old-style color correction of halftones.

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPalette.EmfSetIcmMode.ICMMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPalette.EmfSetIcmMode.ICMMode c : HemfPalette.EmfSetIcmMode.ICMMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPalette.EmfSetIcmMode.ICMMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPalette.EmfSetIcmMode.ICMMode valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.